=== debian/changelog ===
camlmix (1.3.0-2) unstable; urgency=low

  * Team upload
  * Rebuild with OCaml 3.12.0 (no changes)
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 09:04:16 +0200

camlmix (1.3.0-1) unstable; urgency=low

  * Initial release. (Closes: #605674)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 02 Dec 2010 16:33:44 +0100
