=== debian/control ===
Source: camlmix
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends-Indep:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://martin.jambon.free.fr/camlmix/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/camlmix.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/camlmix.git

Package: camlmix
Architecture: all
Depends: ${ocaml:Depends}, ${misc:Depends}
Description: preprocessor which converts text with embedded OCaml
 Camlmix is a generic preprocessor which converts text with embedded OCaml into
 an OCaml program with embedded text. It produces text documents from one or
 several templates. OCaml toplevel statements are inserted between '## ... ##',
 and OCaml string expressions between '##= ...  ##'.
