=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/camlmix

include /usr/share/ocaml/ocamlvars.mk

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	make all

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	make install 'PREFIX=$(DESTDIR)/usr'

debian/camlmix.1: debian/camlmix.mkd
	pandoc -s -w man $^ -o $@
