=== debian/changelog ===
camlmix (1.3.1-6) unstable; urgency=medium

  * Team upload
  * Add dependency to camlp-streams

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 07:28:23 +0200

camlmix (1.3.1-5) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:50:49 +0200

camlmix (1.3.1-4) unstable; urgency=medium

  * Team upload
  * Update Vcs-* to point to salsa
  * Remove Hendrik from Uploaders
  * Bump debhelper compat level to 13
  * Bump Standard-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Fri, 24 Jul 2020 12:35:16 +0200

camlmix (1.3.1-3) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:05:17 +0100

camlmix (1.3.1-2) experimental; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Compile with OCaml >= 4

  [ Hendrik Tews ]
  * silent lintian canonical vcs info

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 18:46:58 +0200

camlmix (1.3.1-1) unstable; urgency=low

  [ Sylvain La Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * fix watch file
  * fix copyright file
  * added myself as uploader
  * import new upstream version
  * change to architecture any for native compilation and
    adapt rules and dependencies
  * bump standards version and debhelper compat level
  * add patch fix-lintian-spelling-error to fix a spelling error
  * rewrite man page from scatch

 -- Hendrik Tews <hendrik@askra.de>  Tue, 28 May 2013 11:18:37 +0200

camlmix (1.3.0-3) unstable; urgency=low

  * Team upload
  * Rebuild with OCaml 3.12.1
  * Fix typo in manpage

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 07:08:49 +0100
