=== debian/control ===
Source: camlmix
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-findlib,
 libcamlp-streams-ocaml-dev,
 dh-ocaml
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://mjambon.com/camlmix/
Vcs-Git: https://salsa.debian.org/ocaml-team/camlmix.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/camlmix

Package: camlmix
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: preprocessor which converts text with embedded OCaml
 Camlmix is a generic preprocessor which converts text with embedded OCaml into
 an OCaml program with embedded text. It produces text documents from one or
 several templates. OCaml toplevel statements are inserted between '## ... ##',
 and OCaml string expressions between '##= ...  ##'.
